﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Reports.Designer;
using Syncfusion.Windows.Shared;
using System.IO;
using System.Reflection;

namespace Company_Sales_2008
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Title = "Syncfusion Essential Report Designer";
            SkinStorage.SetVisualStyle(this, "Office2013");
            this.Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.ReportDesignerControl.EnableMDIDesigner = false;
            ReportDesignerControl.DesignMode = Syncfusion.Windows.Reports.Designer.DesignMode.RDLC;
            ReportDesignerControl.Assemblies = new List<Assembly>();
            ReportDesignerControl.EnableMDIDesigner = true;
            FileInfo info = new FileInfo("../../DataSource.dll");
            ReportDesignerControl.Assemblies.Add(Assembly.GetExecutingAssembly());
            ReportDesignerControl.OpenReport(new System.IO.FileInfo("../../BusinessData.rdlc").FullName);
        }
    }
}
